Modify

#303 closed enhancement (fixed)

/invite support for jabber chatroom

Reported by: misc@… Owned by:
Priority: minor Milestone:
Component: Jabber Version: devel
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

Jabber groupchat support the concept of invitation, here is a patch against new-jabber branch to add the support.

Attachments (2)

bitlbee.invite_on_jabber.patch (2.8 KB) - added by misc@… at 2007-07-26T08:05:26Z.
Invitation for jabber muc
bitlbee.invite_on_jabber.correct.patch (2.2 KB) - added by misc@… at 2007-07-26T08:07:28Z.
Fixed version of previous patch

Download all attachments as: .zip

Change History (4)

Changed at 2007-07-26T08:05:26Z by misc@…

Invitation for jabber muc

Changed at 2007-07-26T08:07:28Z by misc@…

Fixed version of previous patch

comment:1 Changed at 2007-12-08T09:59:59Z by wilmer

Okay, got it applied here now. The Jabber folks keep disappointing me. I always thought invites to groupchats had some backward-compatible <body> part so any client can parse them. But no, apparently they don't and it has to be sent separately. So now BitlBee can send the invites, but it doesn't actually understand them by itself.

And can someone explain me what's the use of nesting an invite message into FOUR levels of XML tags? I'm starting to see why XML is sometimes called "Lisp done wrong"...

I'll think about this backward compatibility thing...

comment:2 Changed at 2007-12-09T23:23:32Z by wilmer

Resolution: fixed
Status: newclosed

Okay, that's imported. I should probably add parsing of incoming invite packets some day too...

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.